Bug 20881 - Order receiving: Price filter missing on_editing
Summary: Order receiving: Price filter missing on_editing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Keywords:
Depends on: 13352
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-05 10:43 UTC by paxed
Modified: 2019-10-14 19:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20881: Order receiving: Price filter missing on_editing (1.44 KB, patch)
2018-06-05 10:45 UTC, paxed
Details | Diff | Splinter Review
Bug 20881: Order receiving: Price filter missing on_editing (1.78 KB, patch)
2018-06-19 21:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20881: Order receiving: Price filter missing on_editing (1.85 KB, patch)
2018-06-21 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-06-05 10:43:30 UTC
When the Price-filter is used on editable data, it should have the on_editing -tag. Add it to the orderreceive.tt
Comment 1 paxed 2018-06-05 10:45:36 UTC
Created attachment 75809 [details] [review]
Bug 20881: Order receiving: Price filter missing on_editing
Comment 2 Katrin Fischer 2018-06-19 21:03:54 UTC
This is quite a problem working with comma-separated decimals, upping severity a bit.
Comment 3 Katrin Fischer 2018-06-19 21:05:56 UTC
Created attachment 76195 [details] [review]
Bug 20881: Order receiving: Price filter missing on_editing

When the Price-filter is used on editable data, it should have the
on_editing -tag. Add it to the orderreceive.tt

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

To test:
- Set CurrencyFormat to FR
- Create a basket with orders in acq
- Close it
- Receive shipment and pick order line to receive
- On this screen verify that the actual cost appears as comma-separated
- Apply patch
- Refresh page
- Verify that the actual cost now appears .-separated
Comment 4 Jonathan Druart 2018-06-21 14:20:51 UTC
Created attachment 76236 [details] [review]
Bug 20881: Order receiving: Price filter missing on_editing

When the Price-filter is used on editable data, it should have the
on_editing -tag. Add it to the orderreceive.tt

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

To test:
- Set CurrencyFormat to FR
- Create a basket with orders in acq
- Close it
- Receive shipment and pick order line to receive
- On this screen verify that the actual cost appears as comma-separated
- Apply patch
- Refresh page
- Verify that the actual cost now appears .-separated

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Nick Clemens 2018-06-22 13:51:34 UTC
Awesome work all!

Pushed to master for 18.11.x
Comment 6 Martin Renvoize 2018-06-25 17:33:33 UTC
Pushed to 18.05.x for 18.05.02
Comment 7 Fridolin Somers 2018-06-28 07:08:34 UTC
Pushed to 17.11.x for 17.11.08